Avatars
Start an avatar video
POST
application/json- body
headshot_base64?|JPEG, PNG or WebP photo
avatar_id?|Saved avatar to use instead of a photo
stock_id?|Stock avatar look to use instead of a photo
engine?|Video model. Leave it out to use LTX-2.5, or LTX-2.3 when only LTX-2.3 is downloaded. FlashHead makes a square close-up of the face and is much faster
size?SizeFlashHead output size in pixels. 1024 needs flashhead-pro
Default
512Value in
5121024framing?FramingFlashHead framing: a square close-up of the face, or the whole photo with the face blended back in
Default
"face"Value in
"face""photo"source*SourceValue in
"history""speech"history_id?string|nullvoice_id?string|nullvoice_source?|nullmodel_family?|nulldesign?|nulltext?|nulllanguage?|Default
"Auto"scene?|Default
""resolution?ResolutionDefault
"720p"Value in
"480p""720p""1080p""1440p"fps?FpsDefault
24Value in
24254850consent?ConsentDefault
falsesubtitle_params?|nullparams?|Video model settings by name, from the model's params
Successful Response
response?unknownapplication/jsoncurl -X POST 'http://127.0.0.1:8100/api/v1/talking-head/videos' \ -H 'Content-Type: application/json' \ -d '{ "source": "history"}'Example Response
null